# $Revision: 1.134 $, $Date: 2012/04/16 14:50:44 $
Summary:	Seahorse - A GNOME front end for GnuPG
Summary(pl.UTF-8):	Seahorse - frontend GNOME do GnuPG
Name:		seahorse
Version:	3.4.1
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/seahorse/3.4/%{name}-%{version}.tar.xz
# Source0-md5:	0d5215a1b6d5747afe0909f4d91f53b9
URL:		http://www.gnome.org/projects/seahorse/
BuildRequires:	atk-devel >= 1.32.0
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
BuildRequires:	avahi-devel
BuildRequires:	avahi-glib-devel >= 0.6
BuildRequires:	dbus-glib-devel >= 0.71
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gcr-devel >= 3.4.0
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.16.0
BuildRequires:	gnome-doc-utils >= 0.14.0
BuildRequires:	gnupg >= 1.4.5
BuildRequires:	gpgme-devel >= 1:1.1.2
BuildRequires:	gtk+3-devel >= 3.4.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libgnome-keyring-devel >= 2.26.0
BuildRequires:	libsoup-devel >= 2.4.0
BuildRequires:	libtool
BuildRequires:	openldap-devel >= 2.4.6
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.311
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	gcr >= 3.4.0
Requires:	gnome-keyring >= 3.4.0
Requires:	gnupg >= 1.4.5
Requires:	gnupg2
Obsoletes:	gnome-keyring-manager
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Seahorse is a GNOME front end for GnuPG - the Gnu Privacy Guard
program. It is a tool for secure communications and data storage. Data
encryption and digital signature creation can easily be performed
through a GUI and Key Management operations can easily be carried out
through an intuitive interface. Both English and Japanese is support
is provided.

%description -l pl.UTF-8
Seahorse to frontend GNOME do programu GnuPG - Gnu Privacy Guard. Jest
to narzędzie do bezpiecznego komunikowania i przechowywania danych.
Szyfrowanie danych i tworzenie cyfrowego podpisu może być łatwo
realizowane poprzez graficzny interfejs użytkownika, a zarządzanie
kluczami jest prowadzone przez intuicyjny interfejs.

%prep
%setup -q

%build
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	SSH_KEYGEN_PATH=%{_bindir}/ssh-keygen \
	SSH_PATH=%{_bindir}/ssh \
	--enable-pgp \
	--disable-silent-rules \
	--disable-schemas-compile \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-gnome --with-omf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/seahorse
%dir %{_libdir}/seahorse
%attr(755,root,root) %{_libdir}/seahorse/seahorse-ssh-askpass
%attr(755,root,root) %{_libdir}/seahorse/xloadimage
%{_datadir}/%{name}
%{_desktopdir}/seahorse.desktop
%{_iconsdir}/hicolor/*/*/*
%{_datadir}/GConf/gsettings/org.gnome.seahorse.convert
%{_datadir}/GConf/gsettings/org.gnome.seahorse.manager.convert
%{_datadir}/glib-2.0/schemas/org.gnome.seahorse.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.seahorse.manager.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.seahorse.window.gschema.xml
%{_mandir}/man1/seahorse.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: seahorse.spec,v $
Revision 1.134  2012/04/16 14:50:44  megabajt
- updated to 3.4.1

Revision 1.133  2012/04/08 18:02:11  megabajt
- updated to 3.4.0
- added O: gnome-keyring-manager

Revision 1.132  2011/11/25 11:28:36  kiesiu
- updated to 3.2.2

Revision 1.131  2011/09/30 09:26:12  patrys
- 3.2.0
- merged from DEVEL

Revision 1.130.2.3  2011/09/30 09:25:55  patrys
- 3.2.0

Revision 1.130.2.2  2011/09/18 13:27:46  wiget
- up to 3.1.92

Revision 1.130.2.1  2011/09/08 21:00:14  wiget
- up to 3.1.91

Revision 1.130  2011/05/23 11:05:47  megabajt
- updated to 3.0.2

Revision 1.129  2011/04/07 10:28:08  wiget
- up to 3.0.0, merge from DEVEL

Revision 1.128  2011/03/26 17:49:56  glen
- add seahorse to system settings, like gnome-keyring-manager is

Revision 1.127  2011/02/04 18:24:03  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.126.2.5  2011/03/23 16:09:17  wiget
- drop libtool file
- use %{__rm} macro

Revision 1.126.2.4  2011/03/23 10:04:18  wiget
- up to 2.91.92

Revision 1.126.2.3  2011/03/19 18:49:10  wiget
- up to 2.91.91

Revision 1.126.2.2  2010/12/28 23:53:20  wiget
- 2.91.4

Revision 1.126.2.1  2010/11/13 09:49:09  wiget
- started update to 2.91.2

Revision 1.126  2010/10/11 21:47:04  qwiat
- updated to 2.32
- added BR's

Revision 1.125  2010/05/13 23:45:33  sparky
- added SSH_ paths to configure to enable seahorse-ssh-*

Revision 1.124  2010/05/01 09:03:19  megabajt
- updated to 2.30.1

Revision 1.123  2010/04/21 08:43:07  patrys
- 2.30.0

Revision 1.122  2010/03/04 12:28:25  hawk
- release 2

Revision 1.121  2009/12/23 17:54:29  megabajt
- updated to 2.28.1

Revision 1.120  2009/11/29 00:20:31  sparky
- BR: docbook-dtd412-xml, xorg-lib-libICE-devel, xorg-lib-libSM-devel

Revision 1.119  2009/09/26 21:29:09  qwiat
- updated to 2.28

Revision 1.118  2009/05/28 20:52:11  megabajt
- updated to 2.26.2

Revision 1.117  2009/04/13 22:48:25  megabajt
- updated to 2.26.1

Revision 1.116  2009/03/15 19:42:02  megabajt
- updated to 2.26.0
- added libcryptui-apidocs package

Revision 1.115  2008/11/15 20:14:40  arekm
- release 2

Revision 1.114  2008/10/19 12:39:35  megabajt
- updated to 2.24.1

Revision 1.113  2008/10/08 19:22:10  megabajt
- cleanup
- plugins moved to seahorse-plugins.spec

Revision 1.112  2008/10/02 21:12:13  qwiat
- merge from DEVEL

Revision 1.111.2.6  2008/10/02 21:09:33  qwiat
- up to 2.24

Revision 1.111.2.5  2008/09/13 10:05:26  patrys
- 2.23.92

Revision 1.111.2.4  2008/08/19 20:13:37  patrys
- 2.23.90

Revision 1.111.2.3  2008/08/04 13:01:14  patrys
- 2.23.6
- patch1 applied upstream

Revision 1.111.2.2  2008/07/23 11:10:53  patrys
- libgnomeui no longer a dep

Revision 1.111.2.1  2008/07/23 11:08:46  patrys
- 2.23.5
- TODO: commented stuff should be moved to seahorse-plugins once it's released

Revision 1.111  2008/07/18 10:44:41  hawk
- release 2

Revision 1.110  2008/07/10 13:09:10  megabajt
- updated to 2.22.3
- added -libxul.patch to fix build with xulrunner 1.9

Revision 1.109  2008/06/01 07:42:12  adamg
- updated to 2.22.2

Revision 1.108  2008-04-07 19:13:12  patrys
- 2.22.1

Revision 1.107  2008-03-12 00:19:29  patrys
- 2.22.0
- merged from DEVEL

Revision 1.105.2.3  2008-03-12 00:17:59  patrys
- 2.22.0

Revision 1.105.2.2  2008-02-05 02:58:19  patrys
- 2.21.91

Revision 1.106  2008-01-09 20:29:10  megabajt
- updated to 2.20.3

Revision 1.105.2.1  2007-12-20 03:30:06  patrys
- 2.21.4

Revision 1.105  2007-12-06 19:14:25  sls
- BR: xulrunner-devel (for epiphany plugin)

Revision 1.104  2007-11-27 20:11:21  qboosh
- updated find_lang BR
- fixed sed usage

Revision 1.103  2007-11-10 19:33:34  megabajt
- sr@Latn -> sr@latin
- use --with-omf
- release 3

Revision 1.102  2007/11/04 12:58:17  wiget
- rel. 2

Revision 1.101  2007/11/03 02:10:04  baggins
- updated openldap BR/R to 2.4.6

Revision 1.100  2007/10/17 15:05:04  megabajt
- updated to 2.20.1
- removed obsolete gedit patch

Revision 1.99  2007/09/20 12:31:53  patrys
- R: epiphany 2.20

Revision 1.98  2007/09/18 10:30:24  patrys
- 2.20

Revision 1.97.2.1  2007/08/06 09:59:38  patrys
- 2.19.5

Revision 1.97  2007/06/09 19:25:03  megabajt
- missing BR
- release 3

Revision 1.96  2007/06/09 18:28:42  megabajt
- don't require libxpcom.so
- release 2

Revision 1.95  2007/04/29 18:20:52  qboosh
- typo (but... are both gnupgs really needed now?)

Revision 1.94  2007/04/19 17:59:04  aflinta
- added missing R

Revision 1.93  2007/04/08 15:22:14  megabajt
- updated to 1.0.1

Revision 1.92  2007/02/12 22:09:14  glen
- tabs in preamble

Revision 1.91  2007/02/12 01:06:32  baggins
- converted to UTF-8

Revision 1.90  2007/01/05 16:46:34  megabajt
- 0.9.10

Revision 1.89  2006/12/23 00:01:09  megabajt
- updated to 0.9.9
- added epiphany-extension-seahorse subpackage

Revision 1.88  2006/11/22 23:17:49  qboosh
- typo, files consistency

Revision 1.87  2006/11/22 22:53:43  patrys
- up to 0.9.7
- ld patch applied upstream

Revision 1.86  2006/08/25 18:34:15  freetz
- 0.9.3, removed obsolete pl_po and schemas patches, added ld.patch (fixes
  linking order), updated file list

Revision 1.85  2006/08/18 09:51:32  wiget
- define GPG_MAJOR and GPG_MINOR

Revision 1.84  2006/08/18 09:33:50  wiget
- disable buildtime gpg version check

Revision 1.83  2006/08/17 20:27:24  freetz
- cleanup

Revision 1.82  2006/08/17 20:18:19  freetz
- 0.9.2.1, added cflags and schema patches, use HEAD deps, updated file
  list

Revision 1.81  2006/08/09 22:34:59  qboosh
- tab

Revision 1.80  2006/08/09 22:29:44  havner
- proper R:

Revision 1.79  2006/08/08 21:14:25  freetz
- use HEAD deps / rpm macros

Revision 1.78  2006/07/26 14:28:00  havner
- BR gnome-panel-devel

Revision 1.77  2006/07/25 20:05:07  qboosh
- missing dir, dot

Revision 1.76  2006/07/25 19:57:48  havner
- argh, again

Revision 1.75  2006/07/25 19:52:28  havner
- formatting, typo in changelog

Revision 1.74  2006/07/25 19:51:15  havner
- mime file in nautilus subpackage

Revision 1.73  2006/07/25 19:50:41  havner
- 0.9.1
- applet subpackage
- libcrytpui library

Revision 1.72  2006/03/06 12:38:45  freetz
- 0.8.1

Revision 1.71  2006/01/17 15:42:52  baggins
- release 2
- BR openldap 2.3

Revision 1.70  2005/10/06 18:05:39  freetz
- 0.8, dropped gedit patch (already in sources)

Revision 1.69  2005/09/18 10:03:24  paladine
- rel. 5 for fixed desktop patch

Revision 1.68  2005/09/09 14:01:01  freetz
- fixed patch3, rel.4

Revision 1.67  2005/09/09 09:35:05  paladine
- added gedit patch
- bumped BRs/Rs
- rel. 3

Revision 1.66  2005/09/09 07:21:30  freetz
- rebuild with new gnome libs, rel.2

Revision 1.65  2005/08/09 13:09:14  paladine
- missing BR: scrollkeeper

Revision 1.64  2005/07/28 17:33:14  freetz
- 0.7.9

Revision 1.63  2005/07/12 06:21:07  arekm
- rel 3

Revision 1.62  2005/07/05 21:28:42  freetz
- pl_po patch added, more BRs

Revision 1.61  2005/05/15 00:20:25  ankry
- %post shouldn't fail if no rw permission to /usr

Revision 1.60  2005/05/09 08:28:33  paladine
- updated to 0.7.8
- removed outdated search_fix patch
- updated install patch

Revision 1.59  2005/04/20 10:55:22  freetz
- search works now (patch added), rel.2

Revision 1.58  2005/04/16 18:18:42  qboosh
- tabs

Revision 1.57  2005/04/16 18:16:33  freetz
- fixed changelog

Revision 1.56  2005/04/16 18:12:55  freetz
- up to 0.7.7, updated/revisited/changed BRs/Rs, gedit, nautilus
  subpackages added, new style macros, updated/removed obsoleted patches

Revision 1.55  2005/03/29 20:52:10  havner
- rel 2

Revision 1.54  2005/03/29 20:44:34  havner
- typo

Revision 1.53  2005/03/29 20:32:35  havner
- updated to 0.7.6

Revision 1.52  2005/03/28 01:44:24  havner
- rel 1

Revision 1.51  2005/02/13 21:21:06  qboosh
- argh, updated to 0.7.5, removed obsolete pic,gedit28 patches

Revision 1.50  2005/02/13 21:08:36  qboosh
- updated desktop patch, added pic patch, updated files

Revision 1.49  2005/02/13 18:12:23  qboosh
- BR: gedit2-devel

Revision 1.48  2005/02/13 17:05:46  qboosh
- gpgme epoch, cleanup

Revision 1.47  2004/10/21 20:02:41  aflinta
- started update to version 0.7.4, NFY

Revision 1.46  2004/09/17 16:17:58  havner
- [mass commit] rel++ for s/Capplet/X-Capplet in sources

Revision 1.45  2004/09/16 22:17:20  havner
- rel 7 for updated desktop patch

Revision 1.44  2004/09/15 23:24:55  havner
- rel 6 for one more change in desktop patch

Revision 1.43  2004/09/15 21:11:27  havner
- updated desktop patch
- fixed %%files for proper capplet location

Revision 1.42  2004/08/17 15:03:40  ankry
- rel. 4 to rebuild

Revision 1.41  2004/07/15 10:03:34  ankry
- rel. 3

Revision 1.40  2004/07/15 09:21:54  ankry
- added some pl translation, no->nb (-locale patch)
- desktop Encoding set (-desktop patch)

Revision 1.39  2003/08/26 20:31:21  ankry
- s/[Gg]nome/GNOME/

Revision 1.38  2003/08/05 11:59:02  grzegol
- rel++ to rebuild without linc
- cosmetics/sorting/simplifications/etc.

Revision 1.37  2003/05/27 11:40:18  trojan
- added Source-md5

Revision 1.36  2003/05/25 06:26:37  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.35  2003/05/05 11:08:10  qboosh
- BR: libtool

Revision 1.34  2003/05/02 10:57:59  luzik
- added BC gpgme-devel >= 0.4.0

Revision 1.33  2003/05/02 08:13:45  adamg
- added missing BR: gnome-mime-data-devel

Revision 1.32  2003/05/01 20:54:21  aflinta
- version 0.7.3

Revision 1.31  2003/03/25 21:23:24  jareq
- BR: eel-devel

Revision 1.30  2003/03/25 07:14:24  aflinta
- updated to version 0.7.2

Revision 1.29  2003/03/03 20:32:30  aflinta
- updated to version 0.7.1

Revision 1.28  2003/02/12 08:35:09  trojan
- removed outdated patches
- fixed BR: s/libglade/libglade2/

Revision 1.27  2003/02/11 13:13:53  blues
- added Req (it has no sense without gnupg...)

Revision 1.26  2003/02/11 12:31:18  qboosh
- BR: intltool, added R(), standarized Source0 URL

Revision 1.25  2003/02/11 11:44:21  trojan
- updated to 0.7.0

Revision 1.24  2003/01/18 22:56:19  juandon
- removed two lines with define

Revision 1.23  2002/11/29 22:46:21  ankry
- massive attack: new %%doc

Revision 1.22  2002/10/09 13:14:46  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.21  2002/06/23 20:52:53  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.20  2002/05/21 23:14:42  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.19  2002/03/24 23:28:24  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.18  2002/02/22 23:29:43  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/01/18 02:14:53  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2001/12/14 03:49:35  kloczek
- regenerate ac/am files,
- added am15 patch (fixes for automake 1.5),
- added pixmapsdr patch (place png Icon for desktop file directly in pixmapsdir
  directory).

Revision 1.15  2001/12/13 13:13:00  qboosh
- adapterized, pl translations; release 3

Revision 1.14  2001/03/01 01:50:47  kloczek
- release 2,
- rebuild against gnome-libs linked with new audiofile,
- added gnome-libs-devel to BuildRequires.

Revision 1.13  2001/02/20 02:52:54  kloczek
- updated to 0.5.0.

Revision 1.12  2001/02/02 17:50:35  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.11  2000/10/30 10:05:21  kloczek
- release 2: rebuild against gnome-libs linked with db3.

Revision 1.10  2000/10/25 01:19:40  kloczek
- updated to 0.4.9,
- use new rpm automation.

Revision 1.9  2000/06/14 20:13:20  kloczek
- updated to 0.4.8.

Revision 1.8  2000/06/13 20:08:03  kloczek
- changed Source url to ftp://download.sourceforge.net/pub/sourceforge/*.

Revision 1.7  2000/06/09 07:55:10  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:59  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/29 18:33:30  kloczek
- updated to 0.4.6,
- spec adapterized,
- desktop file moved from Applications to Utilities.

Revision 1.4  2000/05/09 08:21:26  kloczek
- updated to 0.4.5.

Revision 1.3  2000/04/14 17:41:22  kloczek
- sht%$! added missing %attr for executable.

Revision 1.2  2000/04/14 17:25:14  kloczek
- completly rewrited in PLD style.
